## snap 1.0.0

=== DESCRIPTION ===
Package: snap
Type: Package
Title: Simple Neural Application
Version: 1.0.0
Author: Giancarlo Vercellino
Maintainer: Giancarlo Vercellino <giancarlo.vercellino@gmail.com>
Description: A simple wrapper to easily design vanilla deep neural networks using 'Tensorflow'/'Keras' backend for regression, classification and multi-label tasks, with some tweaks and tricks (skip shortcuts, embedding, feature selection and anomaly detection).
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Depends: R (>= 3.6)
Imports: keras, tensorflow, dplyr, purrr, forcats, tictoc, readr,
        ggplot2, CORElearn, dbscan, stringr, reticulate
URL: https://keras.rstudio.com,
        https://rdrr.io/cran/dbscan/man/lof.html,
        https://www.rdocumentation.org/packages/CORElearn/versions/1.56.0/topics/attrEval
NeedsCompilation: no
Packaged: 2021-05-10 06:18:55 UTC; gvercellino
Repository: CRAN
Date/Publication: 2021-05-11 09:40:05 UTC

## snap 1.1.0

=== DESCRIPTION ===
Package: snap
Type: Package
Title: Simple Neural Application
Version: 1.1.0
Author: Giancarlo Vercellino
Maintainer: Giancarlo Vercellino <giancarlo.vercellino@gmail.com>
Description: A simple wrapper to easily design vanilla deep neural networks using 'Tensorflow'/'Keras' backend for regression, classification and multi-label tasks, with some tweaks and tricks (skip shortcuts, embedding, feature selection and anomaly detection).
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Depends: R (>= 3.6)
Imports: keras (>= 2.3.0.0), tensorflow (>= 2.2.0), dplyr (>= 1.0.2),
        purrr (>= 0.3.4), forcats (>= 0.5.0), tictoc (>= 1.0.1), readr
        (>= 1.4.0), ggplot2 (>= 3.3.3), CORElearn (>= 1.54.2), dbscan
        (>= 1.1-5), stringr (>= 1.4.0), reticulate (>= 1.18)
URL: https://rpubs.com/giancarlo_vercellino/snap
NeedsCompilation: no
Packaged: 2021-06-30 07:41:14 UTC; gvercellino
Repository: CRAN
Date/Publication: 2021-06-30 08:30:02 UTC

## snap 2010-07-28

=== debian/changelog ===
snap (2010-07-28-2) unstable; urgency=low

  * debian/upstream: Added citation information
  * debian/copyright: DEP5 issues
  * debian/README.Debian:
     - Removed information which is not intended for users
     - Added information about scripts which are not included into the
       package since some requriements are not yet fullfilled
  * debian/control:
     - cme fix dpkg-control
     - canonical Vcs fields
  * debhelper 9 (control+compat)
  * debian/patches/unused-but-set-variable.patch: Make sure package
    builds with hardening flags
  * debian/rules:
     - deleted useless comment
     - Work around self-made build system and save original files
       before configuration and restore these in clean target
  * debian/mans: create simple man pages by polishing help2man output
  * debian/bin/snap: wrapper to set environment variable ZOE to implement
    hint given in 00README installation instructions
  * debian/patches/hardening.patch: Propagate hardening options

 -- Andreas Tille <tille@debian.org>  Fri, 25 Oct 2013 16:39:26 +0200

snap (2010-07-28-1~lucid1) lucid; urgency=low

  * Building for Debian PPA

 -- Steffen Moeller <moeller@debian.org>  Fri, 17 Jun 2011 00:52:13 +0200

snap (2010-07-28-1) experimental; urgency=low

  * Crude initial release, lacking man pages (Closes: #630753).

 -- Steffen Moeller <moeller@debian.org>  Fri, 17 Jun 2011 00:52:12 +0200

=== debian/control ===
Source: snap
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: extra
Build-Depends: debhelper (>= 9),
               help2man
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/snap/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/snap/trunk/
Homepage: http://homepage.mac.com/iankorf/

Package: snap
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: location of genes from DNA sequence with hidden markov model
 SNAP is a general purpose gene finding program suitable for both eukaryotic
 and prokaryotic genomes. SNAP is an acroynm for Semi-HMM-based Nucleic Acid
 Parser.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
mandir=$(CURDIR)/debian/$(pkg)/usr/share/man/man1/
bindir=$(CURDIR)/debian/$(pkg)/usr/bin
libdir=$(CURDIR)/debian/$(pkg)/usr/lib/snap
version=$(shell dpkg-parsechangelog | grep '^Version:' | sed 's/^Version: \(.*\)-[^-]\+$$/\1/')

%:
	dh $@ 

override_dh_auto_clean:
	touch depend Zoe/depend
	dh_auto_clean
	if [ -f depend.orig ] ;     then mv depend.orig     depend;     fi
	if [ -f Zoe/depend.orig ] ; then mv Zoe/depend.orig Zoe/depend; fi

override_dh_auto_config:
	cp -a depend     depend.orig
	cp -a Zoe/depend Zoe/depend.orig
	dh_auto_config

override_dh_auto_build:
	dh_auto_build CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_install:
	dh_install
	# cds-trainer.pl and noncoding-trainer.pl are needing the following Perl modules:
	#   IK.pm, FAlite.pm, DataBrowser.pm
	#   since these are not available in Debian there is no point in installing this script
	find debian -name cds-trainer.pl -delete
	find debian -name noncoding-trainer.pl -delete

=== debian/watch ===
version=3
http://homepage.mac.com/iankorf/snap-([0-9-]+)\.tar\.gz

## snap 2013-11

=== Makefile ===
######################
# Makefile for SNAP  #
######################

LIB = -lm
INC = -IZoe

OBJECTS = \
	Zoe/zoeAlignment.o\
	Zoe/zoeCDS.o\
	Zoe/zoeCounter.o\
	Zoe/zoeDNA.o\
	Zoe/zoeDistribution.o\
	Zoe/zoeDuration.o\
	Zoe/zoeFastaFile.o\
	Zoe/zoeFeature.o\
	Zoe/zoeFeatureFactory.o\
	Zoe/zoeFeatureTable.o\
	Zoe/zoeHMM.o\
	Zoe/zoeIsochore.o\
	Zoe/zoeMath.o\
	Zoe/zoeModel.o\
	Zoe/zoePhasePref.o\
	Zoe/zoeProtein.o\
	Zoe/zoeScanner.o\
	Zoe/zoeState.o\
	Zoe/zoeTools.o\
	Zoe/zoeTransition.o\
	Zoe/zoeTrellis.o\

APP = snap
SRC = snap.c
OBJ = snap.o

APP2 = fathom
SRC2 = fathom.c
OBJ2 = fathom.o

APP3 = forge
SRC3 = forge.c
OBJ3 = forge.o

APP4 = hmm-info
SRC4 = hmm-info.c
OBJ4 = hmm-info.o

APP5 = exonpairs
SRC5 = exonpairs.c
OBJ5 = exonpairs.o

DATE = $(shell date +\%Y-\%m-\%d)

###########
# Targets #
###########

default:
	make gcc

$(APP): $(OBJ) $(OBJECTS)
	$(CC) -o $(APP) $(CFLAGS) $(OBJ) $(OBJECTS) $(LIB)

$(APP2): $(OBJ2) $(OBJECTS)
	$(CC) -o $(APP2) $(CFLAGS) $(OBJ2) $(OBJECTS) $(LIB)

$(APP3): $(OBJ3) $(OBJECTS)
	$(CC) -o $(APP3) $(CFLAGS) $(OBJ3) $(OBJECTS) $(LIB)

$(APP4): $(OBJ4) $(OBJECTS)
	$(CC) -o $(APP4) $(CFLAGS) $(OBJ4) $(OBJECTS) $(LIB)

$(APP5): $(OBJ5) $(OBJECTS)
	$(CC) -o $(APP5) $(CFLAGS) $(OBJ5) $(OBJECTS) $(LIB)

clean:
	rm -f *.o $(APP) $(APP2) $(APP3) $(APP4) $(APP5)
	cd Zoe; make clean

depend: $(OBJECTS:.o=.c)
	gcc $(INC) -MM $^ > $@

tar:
	rm -rf /tmp/$(APP)
	mkdir /tmp/$(APP)
	cp -r * /tmp/$(APP)
	cd /tmp/$(APP); make clean;  rm -rf CVS */CVS
	cd /tmp; tar -zcvf $(APP)-$(DATE).tar.gz $(APP)
	rm -rf /tmp/$(APP)


#################
# Architectures #
#################

gcc:
	cd Zoe; make;
	make $(APP)  CC="gcc" CFLAGS="-O2 -Wall -Werror"
	make $(APP2) CC="gcc" CFLAGS="-O2 -Wall -Werror"
	make $(APP3) CC="gcc" CFLAGS="-O2 -Wall -Werror"
	make $(APP4) CC="gcc" CFLAGS="-O2 -Wall -Werror"
	make $(APP5) CC="gcc" CFLAGS="-O2 -Wall -Werror"


###################
# Inference Rules #
###################

%.o: %.c
	$(CC) $(CFLAGS) $(INC) -c -o $@ $<

################
# Dependancies #
################

include depend

=== Zoe/Makefile ===
#############################
# Makefile for ZOE library  #
#############################

LIB = -lm

OBJECTS = \
	zoeAlignment.o\
	zoeCDS.o\
	zoeCounter.o\
	zoeDNA.o\
	zoeDistribution.o\
	zoeDuration.o\
	zoeFastaFile.o\
	zoeFeature.o\
	zoeFeatureFactory.o\
	zoeFeatureTable.o\
	zoeHMM.o\
	zoeIsochore.o\
	zoeMath.o\
	zoeModel.o\
	zoePhasePref.o\
	zoeProtein.o\
	zoeScanner.o\
	zoeState.o\
	zoeTools.o\
	zoeTransition.o\
	zoeTrellis.o\


APP = zoe-loop
SRC = zoe-loop.c
OBJ = zoe-loop.o

APP2 = lexica
SRC2 = lexica.c
OBJ2 = lexica.o

APP3 = seqedit
SRC3 = seqedit.c
OBJ3 = seqedit.o

APP4 = seqstats
SRC4 = seqstats.c
OBJ4 = seqstats.o

APP5 = twinkle
SRC5 = twinkle.c
OBJ5 = twinkle.o

DATE = $(shell date +\%Y-\%m-\%d)

###########
# Targets #
###########

default:
	make gcc

$(APP): $(OBJ) $(OBJECTS)
	$(CC) -o $(APP) $(CFLAGS) $(OBJ) $(OBJECTS) $(LIB)

$(APP2): $(OBJ2) $(OBJECTS)
	$(CC) -o $(APP2) $(CFLAGS) $(OBJ2) $(OBJECTS) $(LIB)

$(APP3): $(OBJ3) $(OBJECTS)
	$(CC) -o $(APP3) $(CFLAGS) $(OBJ3) $(OBJECTS) $(LIB)

$(APP4): $(OBJ4) $(OBJECTS)
	$(CC) -o $(APP4) $(CFLAGS) $(OBJ4) $(OBJECTS) $(LIB)

$(APP5): $(OBJ5) $(OBJECTS)
	$(CC) -o $(APP5) $(CFLAGS) $(OBJ5) $(OBJECTS) $(LIB)

clean:
	rm -f *.o $(APP) $(APP2) $(APP3) $(APP4) $(APP5)

depend: $(OBJECTS:.o=.c)
	gcc -MM $^ > $@

tar:
	rm -rf /tmp/$(APP)
	mkdir /tmp/$(APP)
	cp -r * /tmp/$(APP)
	cd /tmp/$(APP); make clean;  rm -rf CVS */CVS
	cd /tmp; tar -zcvf $(APP)-$(DATE).tar.gz $(APP)
	rm -rf /tmp/$(APP)


#################
# Architectures #
#################

gcc:
	make $(APP)  CC="gcc" CFLAGS="-O2 -Wall -Werror"

all:
	make $(APP)  CC="gcc" CFLAGS="-O2 -Wall -Werror"
	make $(APP2) CC="gcc" CFLAGS="-O2 -Wall -Werror"
	make $(APP3) CC="gcc" CFLAGS="-O2 -Wall -Werror"
	make $(APP4) CC="gcc" CFLAGS="-O2 -Wall -Werror"
	make $(APP5) CC="gcc" CFLAGS="-O2 -Wall -Werror"


###################
# Inference Rules #
###################

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

################
# Dependancies #
################

include depend

## snap 2013-11-29

=== debian/changelog ===
snap (2013-11-29-8) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Extend use-CC.patch to cover all bare gcc invocations.
    (Closes: #883891)

  [ Andreas Tille ]
  * Standards-Version: 4.1.2

 -- Andreas Tille <tille@debian.org>  Sat, 09 Dec 2017 07:33:01 +0100

snap (2013-11-29-7) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * d/rules: do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Mon, 20 Nov 2017 13:24:52 +0100

snap (2013-11-29-6) unstable; urgency=medium

  * Rename package also in autopkgtest (Thanks for the patch to Jeremy Bicha
    <jbicha@ubuntu.com>)
    Closes: #851459
  * Drop unused lintian overrides

 -- Andreas Tille <tille@debian.org>  Sun, 15 Jan 2017 09:01:43 +0100

snap (2013-11-29-5) unstable; urgency=medium

  * debhelper 10
  * d/watch: version=4
  * Rename /usr/bin/snap to /usr/bin/snap-hmm
    Closes: #849161, #849162
  * README.Debian + NEWS.Debian to inform users about name change

 -- Andreas Tille <tille@debian.org>  Fri, 23 Dec 2016 12:44:27 +0100

snap (2013-11-29-4) unstable; urgency=medium

  * itoa implementation had broken identation - use sprintf instead
  * add missing braces
    Closes: #835283

 -- Andreas Tille <tille@debian.org>  Wed, 24 Aug 2016 12:29:39 +0200

snap (2013-11-29-3) unstable; urgency=medium

  * Team upload.
  * add CPPFLAGS for full hardening.
  * Fix building with GCC 6 by addressing a bug in zoeTools.c.
    Closes: 831165.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 17 Jul 2016 17:43:09 +0000

snap (2013-11-29-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix homepage
  * cme fix dpkg-control
  * Priority: optional
  * Better hardening
  * Lintian override for false positive of timestamped gzip files

  [ Sascha Steinbiss ]
  * Fix building with GCC6.
    Closes: #812011

 -- Andreas Tille <tille@debian.org>  Tue, 03 May 2016 10:12:10 +0200

snap (2013-11-29-1) unstable; urgency=medium

  * New upstream version
    Closes: #753849
  * adapted watch file
  * moved debian/upstream to debian/upstrem/metadata
  * d/copyright: Exclude binary files without source (from OSX)
  * cme fix dpkg-control
  * add autopkgtest

 -- Andreas Tille <tille@debian.org>  Tue, 07 Oct 2014 13:31:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
-Priority: extra
-Build-Depends: debhelper (>= 9),
+Priority: optional
+Build-Depends: debhelper (>= 10),
                help2man
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/snap/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/snap/trunk/
-Homepage: http://homepage.mac.com/iankorf/
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/snap.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/snap.git
+Homepage: https://www.psc.edu/index.php/user-resources/software/snap
 
 Package: snap
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
-mandir=$(CURDIR)/debian/$(pkg)/usr/share/man/man1/
-bindir=$(CURDIR)/debian/$(pkg)/usr/bin
-libdir=$(CURDIR)/debian/$(pkg)/usr/lib/snap
-version=$(shell dpkg-parsechangelog | grep '^Version:' | sed 's/^Version: \(.*\)-[^-]\+$$/\1/')
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@

=== debian/watch ===
version=4
http://korflab.ucdavis.edu/software.html .*/Software/snap-([0-9-]+)\.tar\.gz
